# IRiSelNodeItem Interface Reference

Inherits IDispatch, and IDispatch.

List of all members.

## Public Member Functions
HRESULT | Delete (void)
HRESULT | ConnectTo ([in] BSTR bSourceConName,[in] BSTR bDestNodeName,[in] BSTR bDestConName)
HRESULT | Disconnect ([in] BSTR bSourceConName,[in] BSTR bDestNodeName,[in] BSTR bDestConName)
HRESULT | ReconnectFrom ([in] BSTR bSrc1ConName,[in] BSTR bSrc2NodeName,[in] BSTR bSrc2ConName,[in] BSTR bDestNodeName,[in] BSTR bDestConName)
HRESULT | ReconnectTo ([in] BSTR bSourceConName,[in] BSTR bDest1NodeName,[in] BSTR bDest1ConName,[in] BSTR bDest2NodeName,[in] BSTR bDest2ConName)
HRESULT | ConRemove ([in] BSTR szConName)
HRESULT | ConReset ([in] BSTR szConName)
HRESULT | Rename ([in] BSTR bsNewShortNodeName)
HRESULT | ConCreate ([in] BSTR szNewConName,[in] BSTR szNewType)
HRESULT | Assemble (void)
HRESULT | AssembleEx ([in] BSTR szNewEncName)
## Properties
VARIANT * | Value ([in] BSTR bConName)`[get, set]`
VARIANT | Value ([in] BSTR bConName)`[set]`
VARIANT * | ExportConnector ([in] BSTR bSourceConName,[in] BSTR bDestNodeName,[in] VARIANT vConnect,[in] VARIANT vSetValue)`[get]`
VARIANT * | Value ([in] BSTR bConName)`[get]`
VARIANT * | Create ([in] BSTR idName)`[get]`

## Detailed Description

The IRiSelNodeItem interface provides .
Root-level name in the scripting engine's name space: NodeSel

## Member Function Documentation

HRESULT IRiSelNodeItem::Delete | ( | void |  | ) |

Delete

HRESULT IRiSelNodeItem::ConnectTo | ( | [in] BSTR | bSourceConName,
|  | [in] BSTR | bDestNodeName,
|  | [in] BSTR | bDestConName |
| ) |  |  |

ConnectTo

Parameters:

  | bSourceConName | [in] .
  | bDestNodeName | [in] .
  | bDestConName | [in] .

HRESULT IRiSelNodeItem::Disconnect | ( | [in] BSTR | bSourceConName,
|  | [in] BSTR | bDestNodeName,
|  | [in] BSTR | bDestConName |
| ) |  |  |

Disconnect

Parameters:

  | bSourceConName | [in] .
  | bDestNodeName | [in] .
  | bDestConName | [in] .

HRESULT IRiSelNodeItem::ReconnectFrom | ( | [in] BSTR | bSrc1ConName,
|  | [in] BSTR | bSrc2NodeName,
|  | [in] BSTR | bSrc2ConName,
|  | [in] BSTR | bDestNodeName,
|  | [in] BSTR | bDestConName |
| ) |  |  |

ReconnectFrom

Parameters:

  | bSrc1ConName | [in] .
  | bSrc2NodeName | [in] .
  | bSrc2ConName | [in] .
  | bDestNodeName | [in] .
  | bDestConName | [in] .

HRESULT IRiSelNodeItem::ReconnectTo | ( | [in] BSTR | bSourceConName,
|  | [in] BSTR | bDest1NodeName,
|  | [in] BSTR | bDest1ConName,
|  | [in] BSTR | bDest2NodeName,
|  | [in] BSTR | bDest2ConName |
| ) |  |  |

ReconnectTo

Parameters:

  | bSourceConName | [in] .
  | bDest1NodeName | [in] .
  | bDest1ConName | [in] .
  | bDest2NodeName | [in] .
  | bDest2ConName | [in] .

HRESULT IRiSelNodeItem::ConRemove | ( | [in] BSTR | szConName | ) |

ConRemove

Parameters:

  | szConName | [in] .

HRESULT IRiSelNodeItem::ConReset | ( | [in] BSTR | szConName | ) |

ConReset

Parameters:

  | szConName | [in] .

HRESULT IRiSelNodeItem::Rename | ( | [in] BSTR | bsNewShortNodeName | ) |

Rename

Parameters:

  | bsNewShortNodeName | [in] .

HRESULT IRiSelNodeItem::ConCreate | ( | [in] BSTR | szNewConName,
|  | [in] BSTR | szNewType |
| ) |  |  |

ConCreate

Parameters:

  | szNewConName | [in] .
  | szNewType | [in] .

HRESULT IRiSelNodeItem::Assemble | ( | void |  | ) |

Assemble

HRESULT IRiSelNodeItem::AssembleEx | ( | [in] BSTR | szNewEncName | ) |

AssembleEx

Parameters:

  | szNewEncName | [in] .

## Property Documentation

VARIANT IRiSelNodeItem::Value`[get, set]`

Value "set" connector value.

Parameters:

  | bConName | [in] Connector name.
  | newVal | [in] Value to set to connector.

VARIANT IRiSelNodeItem::Value([in] BSTR bConName)`[set]`

Value "set" connector value.

Parameters:

  | bConName | [in] Connector name.
  | newVal | [in] Value to set to connector.

VARIANT * IRiSelNodeItem::ExportConnector`[get]`

ExportConnector

Parameters:

  | bSourceConName | [in] .
  | bDestNodeName | [in] .
  | vConnect | [in] .
  | vSetValue | [in] .

Returns:
  pVal [out,retval] .

VARIANT* IRiSelNodeItem::Value([in] BSTR bConName)`[get]`

Value "get" connector value.

Parameters:

  | bConName | [in] Connector name.

Returns:
  pVal [out, retval] Returns connector value.

VARIANT* IRiSelNodeItem::Create([in] BSTR idName)`[get]`

Create

Parameters:

  | idName | [in] .

Returns:
  pVal [out, retval] .